@echo off

rem Check and change the pathes to dtexec.exe if needed
set dtexec_x64="C:\Program Files\Microsoft SQL Server\140\DTS\Binn\DTExec.exe"
set dtexec_x86="C:\Program Files (x86)\Microsoft SQL Server\140\DTS\Binn\DTExec.exe"
if not exist %dtexec_x86% set dtexec_x86=%dtexec_x64%

rem Reads %destination% variable from import-config.txt
for /F "eol=# tokens=1* delims==" %%i in (import-config.txt) do set %%i=%%j

rem Reads and parses lines of import-task.txt
for /F "eol=# tokens=1* delims==" %%i in (import-task.txt) do call :RUN_ONE %%i %%j %%k %%l %%m %%n %%o %%p %%q

goto END

:RUN_ONE
set name=%1
set file=%~f1
set package=%2
set password=%3
set type=%4
set platform=%5

rem The connection string for source file
set source=
if .%type%.==.csv. set source=\Package.Connections[SourceConnectionFlatFile].Properties[ConnectionString];%file%
if .%type%.==.jet. set source=\Package.Connections[SourceConnectionExcel].Properties[ConnectionString];\""Provider=Microsoft.Jet.OLEDB.4.0;Data Source=%file%;Extended Properties="Excel 8.0;HDR=YES";\""
if .%type%.==.ace. set source=\Package.Connections[SourceConnectionExcel].Properties[ConnectionString];\""Provider=Microsoft.ACE.OLEDB.12.0;Data Source=%file%;Extended Properties="Excel 12.0;HDR=YES"\""
if .source.==.. goto END

rem The dtexec for required platform
set dtexec=
if .%platform%.==.x86. set dtexec=%dtexec_x86%
if .%platform%.==.x64. set dtexec=%dtexec_x64%
if .dtexec.==.. goto END

echo.
echo %package% from %name%
echo.
%dtexec% /file %package% /Decrypt %password% /set %source% /set %destination% /reporting E > %package%.log
type %package%.log

:END
